Subject: bug#10681: GNU Guile 2.0.5 released

From: Hans Aberg <[email-masked]>
Date: Wed, 1 Feb 2012 10:35:30 +0100

On 1 Feb 2012, at 02:42, Mark H Weaver wrote:

> Hans Aberg <[email-masked]> writes:
>> With gcc-4.7.0 (from SVN), the test-ffi test now passes (libffi from
>> GIT)
> 
> Excellent!  I guess that this was a libffi bug.

No, I think it is with llvm-gcc, in view of that it remained in that compile (as described in another letter).

>> but I get three other failures.
>> 
>> The compiler that is normally used on the system, is llvm-gcc-4.2, and
>> its compile is still running.
> 
> Please let us know the results of 'make check' when compiling with
> llvm-gcc-4.2.  I'm especially curious to hear whether the bytevector
> tests fail with that compiler as well.

There is no such test with the llvm-gcc compiler, strangely enough: it just produces a few tests. It does not show the header that is shown for gcc-4.7 (below), like this

Hans

From gcc-4.7 compile 'make check':

Totals for this test run:
passes:                 34886
failures:               3
unexpected passes:      0
expected failures:      30
unresolved test cases:  29
untested test cases:    1
unsupported test cases: 9
errors:                 0